Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Contact.Property

    java.lang.Object
      java.lang.Enum<Contact.Property>
          com.skype.api.Contact.Property

All Implemented Interfaces:
  EnumConverting, PropertyEnumConverting, java.io.Serializable, java.lang.Comparable<Contact.Property>

Enclosing class:
  Contact

    public static enum Contact.Property

extends java.lang.Enum<Contact.Property>
implements PropertyEnumConverting

Properties of the Contact class

Enum Constant Summary
`P_ABOUT`
`P_ASSIGNED_COMMENT`
`P_ASSIGNED_PHONE1`
`P_ASSIGNED_PHONE1_LABEL`
`P_ASSIGNED_PHONE2`
`P_ASSIGNED_PHONE2_LABEL`
`P_ASSIGNED_PHONE3`
`P_ASSIGNED_PHONE3_LABEL`
`P_AUTH_REQUEST_COUNT`
`P_AUTH_REQUEST_TIMESTAMP`
`P_AVAILABILITY`
`P_AVATAR_IMAGE`
`P_AVATAR_TIMESTAMP`
`P_BIRTHDAY`
`P_CAPABILITIES`
`P_CITY`
`P_COUNTRY`
`P_DISPLAY_NAME`
`P_EMAILS`
`P_FULL_NAME`
`P_GENDER`
`P_GIVEN_AUTH_LEVEL`
`P_GIVEN_DISPLAY_NAME`
`P_HOMEPAGE`
`P_IP_COUNTRY`
`P_LANGUAGES`
`P_LAST_ONLINE_TIMESTAMP`
`P_LAST_USED_TIMESTAMP`
`P_MOOD_TEXT`
`P_MOOD_TIMESTAMP`
`P_NROF_AUTHED_BUDDIES`
`P_PHONE_HOME`
`P_PHONE_MOBILE`
`P_PHONE_OFFICE`
`P_POPULARITY_ORD`
`P_PROFILE_TIMESTAMP`
`P_PROVINCE`
`P_PSTN_NUMBER`
`P_RECEIVED_AUTH_REQUEST`
`P_REFRESHING`
`P_RICH_MOOD_TEXT`
`P_SKYPE_NAME`
`P_TIMEZONE`
`P_TYPE`
`P_UNKNOWN`

Field Summary
`static Contact.Property[]` | `mget_info_mreq`
`static Contact.Property[]` | `mget_profile_mreq`
`static int` | `P_ABOUT_VALUE`
`static int` | `P_ASSIGNED_COMMENT_VALUE`
`static int` | `P_ASSIGNED_PHONE1_LABEL_VALUE`
`static int` | `P_ASSIGNED_PHONE1_VALUE`
`static int` | `P_ASSIGNED_PHONE2_LABEL_VALUE`
`static int` | `P_ASSIGNED_PHONE2_VALUE`
`static int` | `P_ASSIGNED_PHONE3_LABEL_VALUE`
`static int` | `P_ASSIGNED_PHONE3_VALUE`
`static int` | `P_AUTH_REQUEST_COUNT_VALUE`
`static int` | `P_AUTH_REQUEST_TIMESTAMP_VALUE`
`static int` | `P_AVAILABILITY_VALUE`
`static int` | `P_AVATAR_IMAGE_VALUE`
`static int` | `P_AVATAR_TIMESTAMP_VALUE`
`static int` | `P_BIRTHDAY_VALUE`
`static int` | `P_CAPABILITIES_VALUE`
`static int` | `P_CITY_VALUE`
`static int` | `P_COUNTRY_VALUE`
`static int` | `P_DISPLAY_NAME_VALUE`
`static int` | `P_EMAILS_VALUE`
`static int` | `P_FULL_NAME_VALUE`
`static int` | `P_GENDER_VALUE`
`static int` | `P_GIVEN_AUTH_LEVEL_VALUE`
`static int` | `P_GIVEN_DISPLAY_NAME_VALUE`
`static int` | `P_HOMEPAGE_VALUE`
`static int` | `P_IP_COUNTRY_VALUE`
`static int` | `P_LANGUAGES_VALUE`
`static int` | `P_LAST_ONLINE_TIMESTAMP_VALUE`
`static int` | `P_LAST_USED_TIMESTAMP_VALUE`
`static int` | `P_MOOD_TEXT_VALUE`
`static int` | `P_MOOD_TIMESTAMP_VALUE`
`static int` | `P_NROF_AUTHED_BUDDIES_VALUE`
`static int` | `P_PHONE_HOME_VALUE`
`static int` | `P_PHONE_MOBILE_VALUE`
`static int` | `P_PHONE_OFFICE_VALUE`
`static int` | `P_POPULARITY_ORD_VALUE`
`static int` | `P_PROFILE_TIMESTAMP_VALUE`
`static int` | `P_PROVINCE_VALUE`
`static int` | `P_PSTN_NUMBER_VALUE`
`static int` | `P_RECEIVED_AUTH_REQUEST_VALUE`
`static int` | `P_REFRESHING_VALUE`
`static int` | `P_RICH_MOOD_TEXT_VALUE`
`static int` | `P_SKYPE_NAME_VALUE`
`static int` | `P_TIMEZONE_VALUE`
`static int` | `P_TYPE_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Contact.Property` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`EnumConverting` | `getEnumConverter()`
`int` | `getId()`
`int` | `getIdx()`
`int` | `getModuleId()`
`byte[]` | `getRequest()`
`boolean` | `isCached()`
`static Contact.Property` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Contact.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### P_UNKNOWN

    public static final Contact.Property P_UNKNOWN

### P_TYPE

    public static final Contact.Property P_TYPE

### P_SKYPE_NAME

    public static final Contact.Property P_SKYPE_NAME

### P_PSTN_NUMBER

    public static final Contact.Property P_PSTN_NUMBER

### P_FULL_NAME

    public static final Contact.Property P_FULL_NAME

### P_BIRTHDAY

    public static final Contact.Property P_BIRTHDAY

### P_GENDER

    public static final Contact.Property P_GENDER

### P_LANGUAGES

    public static final Contact.Property P_LANGUAGES

### P_COUNTRY

    public static final Contact.Property P_COUNTRY

### P_PROVINCE

    public static final Contact.Property P_PROVINCE

### P_CITY

    public static final Contact.Property P_CITY

### P_PHONE_HOME

    public static final Contact.Property P_PHONE_HOME

### P_PHONE_OFFICE

    public static final Contact.Property P_PHONE_OFFICE

### P_PHONE_MOBILE

    public static final Contact.Property P_PHONE_MOBILE

### P_EMAILS

    public static final Contact.Property P_EMAILS

### P_HOMEPAGE

    public static final Contact.Property P_HOMEPAGE

### P_ABOUT

    public static final Contact.Property P_ABOUT

### P_AVATAR_IMAGE

    public static final Contact.Property P_AVATAR_IMAGE

### P_MOOD_TEXT

    public static final Contact.Property P_MOOD_TEXT

### P_RICH_MOOD_TEXT

    public static final Contact.Property P_RICH_MOOD_TEXT

### P_TIMEZONE

    public static final Contact.Property P_TIMEZONE

### P_CAPABILITIES

    public static final Contact.Property P_CAPABILITIES

### P_PROFILE_TIMESTAMP

    public static final Contact.Property P_PROFILE_TIMESTAMP

### P_NROF_AUTHED_BUDDIES

    public static final Contact.Property P_NROF_AUTHED_BUDDIES

### P_IP_COUNTRY

    public static final Contact.Property P_IP_COUNTRY

### P_AVATAR_TIMESTAMP

    public static final Contact.Property P_AVATAR_TIMESTAMP

### P_MOOD_TIMESTAMP

    public static final Contact.Property P_MOOD_TIMESTAMP

### P_RECEIVED_AUTH_REQUEST

    public static final Contact.Property P_RECEIVED_AUTH_REQUEST

### P_AUTH_REQUEST_TIMESTAMP

    public static final Contact.Property P_AUTH_REQUEST_TIMESTAMP

### P_LAST_ONLINE_TIMESTAMP

    public static final Contact.Property P_LAST_ONLINE_TIMESTAMP

### P_AVAILABILITY

    public static final Contact.Property P_AVAILABILITY

### P_DISPLAY_NAME

    public static final Contact.Property P_DISPLAY_NAME

### P_REFRESHING

    public static final Contact.Property P_REFRESHING

### P_GIVEN_AUTH_LEVEL

    public static final Contact.Property P_GIVEN_AUTH_LEVEL

### P_GIVEN_DISPLAY_NAME

    public static final Contact.Property P_GIVEN_DISPLAY_NAME

### P_ASSIGNED_COMMENT

    public static final Contact.Property P_ASSIGNED_COMMENT

### P_LAST_USED_TIMESTAMP

    public static final Contact.Property P_LAST_USED_TIMESTAMP

### P_AUTH_REQUEST_COUNT

    public static final Contact.Property P_AUTH_REQUEST_COUNT

### P_ASSIGNED_PHONE1

    public static final Contact.Property P_ASSIGNED_PHONE1

### P_ASSIGNED_PHONE1_LABEL

    public static final Contact.Property P_ASSIGNED_PHONE1_LABEL

### P_ASSIGNED_PHONE2

    public static final Contact.Property P_ASSIGNED_PHONE2

### P_ASSIGNED_PHONE2_LABEL

    public static final Contact.Property P_ASSIGNED_PHONE2_LABEL

### P_ASSIGNED_PHONE3

    public static final Contact.Property P_ASSIGNED_PHONE3

### P_ASSIGNED_PHONE3_LABEL

    public static final Contact.Property P_ASSIGNED_PHONE3_LABEL

### P_POPULARITY_ORD

    public static final Contact.Property P_POPULARITY_ORD

Field Detail

### P_TYPE_VALUE

    public static final int P_TYPE_VALUE

See Also:
  Constant Field Values

### P_SKYPE_NAME_VALUE

    public static final int P_SKYPE_NAME_VALUE

See Also:
  Constant Field Values

### P_PSTN_NUMBER_VALUE

    public static final int P_PSTN_NUMBER_VALUE

See Also:
  Constant Field Values

### P_FULL_NAME_VALUE

    public static final int P_FULL_NAME_VALUE

See Also:
  Constant Field Values

### P_BIRTHDAY_VALUE

    public static final int P_BIRTHDAY_VALUE

See Also:
  Constant Field Values

### P_GENDER_VALUE

    public static final int P_GENDER_VALUE

See Also:
  Constant Field Values

### P_LANGUAGES_VALUE

    public static final int P_LANGUAGES_VALUE

See Also:
  Constant Field Values

### P_COUNTRY_VALUE

    public static final int P_COUNTRY_VALUE

See Also:
  Constant Field Values

### P_PROVINCE_VALUE

    public static final int P_PROVINCE_VALUE

See Also:
  Constant Field Values

### P_CITY_VALUE

    public static final int P_CITY_VALUE

See Also:
  Constant Field Values

### P_PHONE_HOME_VALUE

    public static final int P_PHONE_HOME_VALUE

See Also:
  Constant Field Values

### P_PHONE_OFFICE_VALUE

    public static final int P_PHONE_OFFICE_VALUE

See Also:
  Constant Field Values

### P_PHONE_MOBILE_VALUE

    public static final int P_PHONE_MOBILE_VALUE

See Also:
  Constant Field Values

### P_EMAILS_VALUE

    public static final int P_EMAILS_VALUE

See Also:
  Constant Field Values

### P_HOMEPAGE_VALUE

    public static final int P_HOMEPAGE_VALUE

See Also:
  Constant Field Values

### P_ABOUT_VALUE

    public static final int P_ABOUT_VALUE

See Also:
  Constant Field Values

### P_AVATAR_IMAGE_VALUE

    public static final int P_AVATAR_IMAGE_VALUE

See Also:
  Constant Field Values

### P_MOOD_TEXT_VALUE

    public static final int P_MOOD_TEXT_VALUE

See Also:
  Constant Field Values

### P_RICH_MOOD_TEXT_VALUE

    public static final int P_RICH_MOOD_TEXT_VALUE

See Also:
  Constant Field Values

### P_TIMEZONE_VALUE

    public static final int P_TIMEZONE_VALUE

See Also:
  Constant Field Values

### P_CAPABILITIES_VALUE

    public static final int P_CAPABILITIES_VALUE

See Also:
  Constant Field Values

### P_PROFILE_TIMESTAMP_VALUE

    public static final int P_PROFILE_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_NROF_AUTHED_BUDDIES_VALUE

    public static final int P_NROF_AUTHED_BUDDIES_VALUE

See Also:
  Constant Field Values

### P_IP_COUNTRY_VALUE

    public static final int P_IP_COUNTRY_VALUE

See Also:
  Constant Field Values

### P_AVATAR_TIMESTAMP_VALUE

    public static final int P_AVATAR_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_MOOD_TIMESTAMP_VALUE

    public static final int P_MOOD_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_RECEIVED_AUTH_REQUEST_VALUE

    public static final int P_RECEIVED_AUTH_REQUEST_VALUE

See Also:
  Constant Field Values

### P_AUTH_REQUEST_TIMESTAMP_VALUE

    public static final int P_AUTH_REQUEST_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_LAST_ONLINE_TIMESTAMP_VALUE

    public static final int P_LAST_ONLINE_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_AVAILABILITY_VALUE

    public static final int P_AVAILABILITY_VALUE

See Also:
  Constant Field Values

### P_DISPLAY_NAME_VALUE

    public static final int P_DISPLAY_NAME_VALUE

See Also:
  Constant Field Values

### P_REFRESHING_VALUE

    public static final int P_REFRESHING_VALUE

See Also:
  Constant Field Values

### P_GIVEN_AUTH_LEVEL_VALUE

    public static final int P_GIVEN_AUTH_LEVEL_VALUE

See Also:
  Constant Field Values

### P_GIVEN_DISPLAY_NAME_VALUE

    public static final int P_GIVEN_DISPLAY_NAME_VALUE

See Also:
  Constant Field Values

### P_ASSIGNED_COMMENT_VALUE

    public static final int P_ASSIGNED_COMMENT_VALUE

See Also:
  Constant Field Values

### P_LAST_USED_TIMESTAMP_VALUE

    public static final int P_LAST_USED_TIMESTAMP_VALUE

See Also:
  Constant Field Values

### P_AUTH_REQUEST_COUNT_VALUE

    public static final int P_AUTH_REQUEST_COUNT_VALUE

See Also:
  Constant Field Values

### P_ASSIGNED_PHONE1_VALUE

    public static final int P_ASSIGNED_PHONE1_VALUE

See Also:
  Constant Field Values

### P_ASSIGNED_PHONE1_LABEL_VALUE

    public static final int P_ASSIGNED_PHONE1_LABEL_VALUE

See Also:
  Constant Field Values

### P_ASSIGNED_PHONE2_VALUE

    public static final int P_ASSIGNED_PHONE2_VALUE

See Also:
  Constant Field Values

### P_ASSIGNED_PHONE2_LABEL_VALUE

    public static final int P_ASSIGNED_PHONE2_LABEL_VALUE

See Also:
  Constant Field Values

### P_ASSIGNED_PHONE3_VALUE

    public static final int P_ASSIGNED_PHONE3_VALUE

See Also:
  Constant Field Values

### P_ASSIGNED_PHONE3_LABEL_VALUE

    public static final int P_ASSIGNED_PHONE3_LABEL_VALUE

See Also:
  Constant Field Values

### P_POPULARITY_ORD_VALUE

    public static final int P_POPULARITY_ORD_VALUE

See Also:
  Constant Field Values

### mget_info_mreq

    public static final Contact.Property[] mget_info_mreq

### mget_profile_mreq

    public static final Contact.Property[] mget_profile_mreq

Method Detail

### values

    public static Contact.Property[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Contact.Property c : Contact.Property.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Contact.Property valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isCached

    public boolean isCached()

  Specified by:
    `isCached` in interface `PropertyEnumConverting`

### getIdx

    public int getIdx()

  Specified by:
    `getIdx` in interface `PropertyEnumConverting`

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getRequest

    public byte[] getRequest()

  Specified by:
    `getRequest` in interface `PropertyEnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### getModuleId

    public int getModuleId()

  Specified by:
    `getModuleId` in interface `PropertyEnumConverting`

### getEnumConverter

    public EnumConverting getEnumConverter()

  Specified by:
    `getEnumConverter` in interface `PropertyEnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Contact.Property get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.